NetworkReceiver Class Referenceabstract

Network Receiver. More...

Inheritance diagram for NetworkReceiver:

## Public Member Functions

virtual bool | MustWaitToReceive ()
virtual bool | MustWaitForResult ()
virtual bool | Receive (byte *buf, size_t bufLen)=0
| receive data from network source, returns whether result is immediately available
virtual unsigned int | GetReceiveResult ()=0
virtual bool | EofReceived () const =0
Public Member Functions inherited from Waitable
virtual unsigned int | GetMaxWaitObjectCount () const =0
| Maximum number of wait objects that this object can return. More...
virtual void | GetWaitObjects (WaitObjectContainer &container, CallStack const &callStack)=0
| Retrieves waitable objects. More...
bool | Wait (unsigned long milliseconds, CallStack const &callStack)
| Wait on this object. More...

## Detailed Description

Network Receiver.

Definition at line 93 of file network.h.

The documentation for this class was generated from the following file:

- network.h